org.apache.sling.auth.xing.oauth

## Class XingOauth

- java.lang.Object
- - org.apache.sling.auth.xing.oauth.XingOauth

    public class XingOauth
    extends Object

### Field Summary

Fields
`static String` `AUTH_TYPE`
`static String` `AUTHENTICATION_CREDENTIALS_ACCESS_TOKEN_KEY`
`static String` `AUTHENTICATION_CREDENTIALS_USER_KEY`
`static String` `SERVICE_VENDOR`

### Constructor Summary

Constructors
Constructor and Description
`XingOauth()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTH_TYPE

    public static final String AUTH_TYPE

See Also:
  Constant Field Values

#### AUTHENTICATION_CREDENTIALS_ACCESS_TOKEN_KEY

    public static final String AUTHENTICATION_CREDENTIALS_ACCESS_TOKEN_KEY

See Also:
  Constant Field Values

#### AUTHENTICATION_CREDENTIALS_USER_KEY

    public static final String AUTHENTICATION_CREDENTIALS_USER_KEY

See Also:
  Constant Field Values

#### SERVICE_VENDOR

    public static final String SERVICE_VENDOR

See Also:
  Constant Field Values

### Constructor Detail

#### XingOauth

    public XingOauth()